package java.nio.file;

import java.security.BasicPermission;

public final class LinkPermission extends BasicPermission
{
    static final long serialVersionUID = -1441492453772213220L;
    
    private void checkName(String str) {
        if (!str.equals("hard") && !str.equals("symbolic")) {
            throw new IllegalArgumentException("name: " + str);
        }
        return;
    }
    
    public LinkPermission(String name) {
        super(name);
        this.checkName(name);
    }
    
    public LinkPermission(String name, String str) {
        super(name);
        this.checkName(name);
        if (str != null && str.length() > 0) {
            throw new IllegalArgumentException("actions: " + str);
        }
        return;
    }
}
